BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 02-08-2005, 04:57 PM   #1 (permalink)
New Member
 
Join Date: Feb 2005
Posts: 2
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default Where can I find net.rim.blackberry.api

Please Login to Remove!

I am trying to load metaMessage and get the error that I do not have this api on my Blackberry 7290 (OS 3.8 ).

MetaMessage support wanted me to reload all my software. Hard reset and goodness knows what else. This is a company Blackberry. If I really mess this up my IT department will have a field day with me.

Can't I just download this api someplace and load it on my Blackberry?
Offline  
Old 02-08-2005, 05:16 PM   #2 (permalink)
Retired BBF Moderator
 
Mark Rejhon's Avatar
 
Join Date: Aug 2004
Location: Ottawa, Ontario, Canada
Model: Bold
Carrier: Rogers
Posts: 4,870
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

It's part of BlackBerryOS, I believe.

Can you ask MetaMessage and ask them if their product has ever worked on a Model 7290?
__________________
Thanks,
Mark Rejhon
Author of XMPP extension XEP-0301:
www.xmpp.org/extensions/xep-0301.html - specification
www.realjabber.org - open source
Offline  
Old 02-09-2005, 01:35 AM   #3 (permalink)
BlackBerry Extraordinaire
 
Join Date: Aug 2004
Location: West of Ottawa, Canada
Model: 9900
OS: 7
Carrier: Telus
Posts: 1,068
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

I had MetaMessage working on my Rogers 7290.
Offline  
Old 02-09-2005, 03:00 AM   #4 (permalink)
Retired BBF Moderator
 
Mark Rejhon's Avatar
 
Join Date: Aug 2004
Location: Ottawa, Ontario, Canada
Model: Bold
Carrier: Rogers
Posts: 4,870
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

The only way to update that API is upgrading BlackBerryOS. The module unfortunately cannot be installed separately.

It's quite possible that one of the Applications of OS 3.8 wasn't preinstalled, and it was part of one of the applications. For example, I have had API problems before if I kept the Phone application uninstalled. Can you check Options->About and let me know what specific versino of OS 3.8 is?

There are multiple versions of 3.8; some early versions of 3.8 such as 3.8.0.128 contains numerous bugs, which should be upgraded with 3.8.0.139 (Platform 3.8.0.161).

roofus -- What version of OS 3.8 or OS 4.0 are you using?
__________________
Thanks,
Mark Rejhon
Author of XMPP extension XEP-0301:
www.xmpp.org/extensions/xep-0301.html - specification
www.realjabber.org - open source
Offline  
Old 02-09-2005, 11:21 AM   #5 (permalink)
New Member
 
Join Date: Feb 2005
Posts: 2
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Mark,
Thanks for the reply.

According to my About screen

Blackberry 7290

OS v3.8.0.139 (Platform 1.8.0.99)

I have downloaded the Blackberry OS and apps from Cingular. Everything seems to be installed and working so I can not figure out how an api didn't get installed.
Offline  
Old 02-09-2005, 03:14 PM   #6 (permalink)
Retired BBF Moderator
 
Mark Rejhon's Avatar
 
Join Date: Aug 2004
Location: Ottawa, Ontario, Canada
Model: Bold
Carrier: Rogers
Posts: 4,870
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

Can you list all the checkboxes that were not selected when you do these steps:

1. Start BlackBerry Desktop Manager
2. Start Application Loader
3. Click Next until you see the list of checkboxes
4. View the list of checkboxes of installed & not-installed apps.

Or did you select all checkboxes (One or two dozen of them)?
The checkboxes that were not selected, may give a clue as to a missing module.
__________________
Thanks,
Mark Rejhon
Author of XMPP extension XEP-0301:
www.xmpp.org/extensions/xep-0301.html - specification
www.realjabber.org - open source
Offline  
Old 02-12-2005, 07:40 AM   #7 (permalink)
New Member
 
Join Date: Feb 2005
Posts: 9
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default .api

I had same problem....just download the latest software (even if yu have it) and run install....
Offline  
Old 02-28-2005, 11:26 AM   #8 (permalink)
Knows Where the Search Button Is
 
Join Date: Feb 2005
Location: Melbourne Australia
Model: 9000
OS: 4.6.0.282
Carrier: Optus (Australia)
Posts: 23
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

I too have this problem, the file thread says to download latest version of software. Is this reference to the OS?

My OS is 3.8.0.139 Platform 1.8.0.99
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.